## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/scopedmutexlock.h File Reference

Scoped mutex locking. More...

`#include "csextern.h"`
`#include "csutil/thread.h"`

Go to the source code of this file.

## Classes

class | csScopedMutexLock
| This is a utility class for locking a Mutex. More...

## Detailed Description

Scoped mutex locking.

Definition in file scopedmutexlock.h.